[Need Help] Best tools to learn plugin development.

Discussion in 'General Help' started by PK_InsanityFactions, Feb 17, 2018.

Thread Status:
Not open for further replies.
  1. Hello readers! Im Pk, Im a big factions fan and have many ideas to improve the overall experience when it comes to this great game mode. I innitially thought to take the lazy way out and hire someone to make my plugins but as I soon realized, it is very dificult to find Devs that have time to help and it is very costly since the Devs that are willing to listen to you do it for a living and their fees are too much for me to keep up with. So I have set my mind to learn as much as I can about plugin development.

    My Goals
    1. Learn to code plugins for a factions server running the 1.8 version of minecraft.
    2. Learn basic Java programing as well as any other development tool that is needed to meet my first goal.
    3. Get to know anyone that is intrested to help (future posts with my development ideas will be coming soon) and that shares my intrest in factions.
    4. To become an active member of this society.

    About me: Im a self thought web programer and graphics designer. I learned these skills to help me improve my bussiness. I learn fast and have about 6 hrs a day of free time to invest in this new skill. Im in my mid 20s and love to think outside the box. You may notice spelling errors here and there and that is because english is my second language however I work hard to improve.

    Im looking for efective tutorials and the best tools to develope plugins for minecraft 1.8 also I would like to know what servers I should invest on to have an online development enviroment but that is not very costly all without compromising my Ip adress.

    All help is a huge thanks in advance!
     
  2. Offline

    timtower Ninja on the waves Moderator

    @PK_InsanityFactions You need to learn Java first.
    Do that fir a couple months before you add Bukkit to the mix.
    And you don't need anything online for development.
     
    PK_InsanityFactions likes this.
  3. PK_InsanityFactions likes this.
  4. @timtower @Zombie_Striker

    I know Java is the first step, but im confused as to what SDK to use how to set up my sublime code editor to work with Java (compile) and what version of java to use since Im only intrested in the 1.8 version of minecraft. I will take a look at the tutorial that Zombie_Striker suggests, I just hope my web programing skills transfer over...

    Thanks guys for taking time on me, Im eager to get started!
     
  5. Offline

    timtower Ninja on the waves Moderator

    @PK_InsanityFactions Try Eclipse, works with java out of the box.
    Java is not related to the minecraft version, just stick to Java 8
     
    PK_InsanityFactions likes this.
Thread Status:
Not open for further replies.

Share This Page